commit c9594b6a91e6ca2086fedec2ed8249e0a9c029fc
Author: Christoph Reiter <creiter@src.gnome.org>
Date:   Fri Oct 13 12:43:04 2017 +0200

    Release 2.28.7

    All the runtime related commits are included in Ubuntu for years.
    The remaining commits regarding introspection shouldn't change
    anything as every distro I've checked disables that anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=705662#c4

 NEWS         | 19 ++++++++++++++++++-
 configure.ac |  2 +-
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 9456ba70fdb98b3a4eb7ee2f630182387a54ca00
Author: Martin Pitt <martinpitt@gnome.org>
Date:   Tue Feb 19 15:39:56 2013 +0100

    Move property and signal creation into _class_init()

    We must not add class interfaces after g_type_class_ref() has been
    called the
    first time. Move signal and property creation from pyg_type_register()
    into
    pyg_object_class_init(), and drop the hack of registering interfaces
    twice.

    This is a backport of commit efcb0f9fd for 2.28.x. This allows
    old pygtk
    applications to work with pygobject 2.28.x and glib 2.35.x.

    https://bugzilla.gnome.org/show_bug.cgi?id=694108

 gobject/gobjectmodule.c | 177
 +++++++++++++++++++-----------------------------
 1 file changed, 70 insertions(+), 107 deletions(-)

commit 42d01f060c5d764baa881d13c103d68897163a49
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Mar 12 16:44:14 2012 -0400

    gio-types.defs: change some enums to flags

    These flags types were originally incorrectly handled in glib as being
    enums.  That bug was fixed, but they're still enums here, leading to
    warnings about the mismatch.

    Change them to flags.

    https://bugzilla.gnome.org/show_bug.cgi?id=668522

 gio/gio-types.defs | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 42d871eb0b08ee6d55e95cc7e4b90844919555b9
Author: Ivan Stankovic <ivan.stankovic@avl.com>
Date:   Tue Feb 21 12:24:58 2012 +0100

    Fix set_qdata warning on accessing NULL gobject property

    https://bugzilla.gnome.org/show_bug.cgi?id=661155

 gobject/pygobject.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 99162bf8ff153791179b6cb94657d4ea9f5b8fcf
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Wed Sep 7 20:13:49 2011 +0200

    Disable introspection support by default

    This makes parallel isntallation with PyGObject 3.0 easier on
    distributors.

    https://bugzilla.gnome.org/show_bug.cgi?id=657054

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2940d0c45c592c19196d4ab0d345ab27fca0f0a0
Author: Arfrever Frehtes Taifersar Arahesis <Arfrever.FTA@gmail.com>
Date:   Mon Aug 15 19:11:19 2011 +0200

    Don't install codegen for Python 3

    https://bugzilla.gnome.org/show_bug.cgi?id=648987

 Makefile.am  |  6 +++++-
 configure.ac | 14 +++++++++++---
 2 files changed, 16 insertions(+), 4 deletions(-)

commit c4cdb76adf2969e0b5a97495e5947d0595c0d629
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Thu Jul 14 11:21:10 2011 +0200

    Ship tests/te_ST@nouppera in release tarballs for tests to succeed

 tests/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 5c2786804d997df680131542b4afb31e2db3a2cb
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Jul 13 10:40:25 2011 +0200

    [gi] Port test_properties from static gio to GI Gio

    As we ripped out the static gio bindings a while ago, this test case
    was using
    the system installed gio bindings with Python 2, and now fails
    completely with
    Python 3. Rewrite it to use gi.repository.Gio.

 tests/test_properties.py | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit e2dc4ac346a16b6976b92e84819c7203629beb4a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Apr 21 16:52:20 2011 +0200

    [python3] fix build. PYcairo_IMPORT doesn't exists anymore

 gi/pygi-foreign-cairo.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 667bec76ccbc85cc1d54a0e68977dbda241c028c
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Jul 13 08:42:22 2011 +0200

    [python3] Fix maketrans import

    Python3 moved the maketrans() function from the string module to a
    str method.
    This unbreaks gi/module.py for Python 3 again.

 gi/module.py | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 483a894681ef0080107b33733f392911d4a65b76
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Jul 8 11:50:17 2011 -0400

    [gi-overrides] fix MessageBox so it correctly handles the type
    constructor param

 gi/overrides/Gtk.py | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 09d6cc2a6c857c7ef96432a279a853410718b150
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Fri Jul 8 10:15:53 2011 +0200

    gdbus tests: Fix hang if test case fails

    In the TestGDBusClient.test_native_calls_async() test case, the main
    loop was
    never quit when the call failed.

 tests/test_gdbus.py | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e114c3de09d7d95942b308f704a6ca20244dad9d
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Thu Jul 7 13:39:19 2011 +0200

    Fix crash in Gtk.TextIter overrides

    With commit 17cd0fb3 Gtk.TextIter.{forward,backward}_search()
    returns undefined
    pointers when the search was unsuccessful. Actually check the
    "success" return
    value; if it is False return None, just like PyGTK used to.

    Thanks to Michael Vogt for discovering this and writing the test case!

    Test case:

    -------------- 8< -----------------
    from gi.repository import Gtk

    win = Gtk.Window.new(Gtk.WindowType.TOPLEVEL)
    textview = Gtk.TextView()
    buffer = textview.get_buffer()
    buffer.set_text("hello world")
    win.add(textview)

    win.show_all()

    iter = buffer.get_start_iter()
    end = buffer.get_end_iter()
    ret = iter.forward_search("foo",
                              Gtk.TextSearchFlags.VISIBLE_ONLY,
                                                        end)
    print "this is my return value"
    print ret
    print "now I crash"
    print ret[0].get_offset()

    Gtk.main()
    -------------- 8< -----------------

 gi/overrides/Gtk.py | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9281ce8876ca5205c7cbe0a55eba94e7ea3fc10d
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Jul 1 05:19:15 2011 -0400

    correctly initialize the _gi_cairo_functions array to be zero filled

 gi/pygi-foreign-cairo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21653d2db4c836f1e5906fa84a02b72fd7bc55d9
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Tue Jun 28 13:54:48 2011 -0400

    [gtk-override] print warning if user imports Gtk 2.0

     * this is needed because people file bugs not realizing they are
     importing 2.0
       which is not supported

 gi/overrides/Gtk.py | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 71e7762e884d1dce82acbab4851c0436718c029a
Author: Johan Dahlin <jdahlin@litl.com>
Date:   Mon Jun 27 10:56:20 2011 -0300

    Add support for enums in gobject.property

    https://bugzilla.gnome.org/show_bug.cgi?id=653488

 gobject/propertyhelper.py | 23 ++++++++++++++++-------
 tests/test_properties.py  | 40 ++++++++++++++++++++++++++++++++++++----
 2 files changed, 52 insertions(+), 11 deletions(-)

commit db2ca521852c6c48066be55d258e0602f99d82f7
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Mon Jun 13 18:35:49 2011 +0200

    Release 2.28.6

 NEWS         | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 42970db5949c615078c38a039da4745eeb194ac1
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Fri Jun 10 14:01:32 2011 +0200

    closure: avoid double free crash

 gi/pygi-closure.c | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit 78366697d8f7fc53f20d9f52f9f39552c5e99bd1
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Jun 10 16:48:28 2011 -0400

    [gi] backport of "GVariant has a GType" fe386a

    * backport the switch to using GIInterfaceInfo instead of GITypeInfo
      for foreign types to support this patch - 01596a

 gi/pygi-argument.c         | 10 +++++-----
 gi/pygi-foreign-cairo.c    | 18 ++++++++++--------
 gi/pygi-foreign-gvariant.c | 15 +++++++--------
 gi/pygi-foreign-gvariant.h | 14 ++++++--------
 gi/pygi-foreign.c          | 21 +++++++++------------
 gi/pygi-foreign.h          | 16 ++++++++--------
 gi/pygi-invoke.c           | 26 ++++++++++++++++----------
 7 files changed, 61 insertions(+), 59 deletions(-)

commit 0c348da3d974f63629c44e75067b8056dacc60d3
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Jun 10 16:46:20 2011 -0400

    [gi] fixes to backport commit 6b5a65 - in older glib GVariants are
    still structs

 gi/gimodule.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6b5a656a3b77438c9bbb897c65343634b981c0e5
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Jun 6 19:05:07 2011 +0200

    GVariantType is a boxed struct

    https://bugzilla.gnome.org/show_bug.cgi?id=647509

 gi/gimodule.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f6bba909486d0ad1a27592fcf09c7ac8744fded
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Jun 6 17:38:21 2011 +0200

    Use _gi.Struct to wrap fundamentals

    https://bugzilla.gnome.org/show_bug.cgi?id=647509

 gi/module.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b7f5ce021bf16a422dc410b3ff44303e0757dc6e
Author: Jason Siefken <siefkenj@gmail.com>
Date:   Fri Jun 3 23:11:17 2011 -0700

    Added __eq__ method for Gdk.Color and Gdk.RGBA

    Call Gdk.Color.equal and Gdk.RGBA.equal when
    == equality testing is used.

 gi/overrides/Gdk.py     | 6 ++++++
 tests/test_overrides.py | 4 ++++
 2 files changed, 10 insertions(+)

commit c016c27f545f398f1b57cf31f37392c97d2b5e50
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Wed Jun 8 19:21:23 2011 +0200

    Remove useless import

 tests/test_everything.py | 1 -
 1 file changed, 1 deletion(-)

commit 1598047c0ddd6a1d04d41e59dd182f3c0524f3c4
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Wed Jun 8 19:18:23 2011 +0200

    Revert "[gi] Removed hack to avoid using GLib.Variant.new_variant."

    This reverts commit dfe95b9ec598b57deaabd98ab488ab054a44ec09.

 gi/overrides/GLib.py | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit ae9e098c14de3d2364c8b16c862aa77570c06a4a
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Wed Jun 8 19:13:48 2011 +0200

    closure: Check the out arg is not null. Fixes bug #651812

 gi/pygi-closure.c | 3 +++
 1 file changed, 3 insertions(+)

commit eca590a3ff6bbfb78eef7b88d36cee59eb51b1d0
Author: Daniel Drake <dsd@laptop.org>
Date:   Fri Jun 3 16:59:15 2011 +0100

    Fix GC-related crash during PyGObject deallocation

    Python-2.7.1's GC source has the following comment:

            /* Python's cyclic gc should never see an incoming refcount
             * of 0:  if something decref'ed to 0, it should have been
             * deallocated immediately at that time.
             * Possible cause (if the assert triggers):  a tp_dealloc
             * routine left a gc-aware object tracked during its teardown
             * phase, and did something-- or allowed something to
             happen --
             * that called back into Python.  gc can trigger then, and may
             * see the still-tracked dying object.  Before this assert
             * was added, such mistakes went on to allow gc to try to
             * delete the object again.  In a debug build, that caused
             * a mysterious segfault, when _Py_ForgetReference tried
             * to remove the object from the doubly-linked list of all
             * objects a second time.  In a release build, an actual
             * double deallocation occurred, which leads to corruption
             * of the allocator's internal bookkeeping pointers.  That's
             * so serious that maybe this should be a release-build
             * check instead of an assert?
             */

    As shown in a backtrace at
    https://bugzilla.redhat.com/show_bug.cgi?id=640972 , pygobject
    is making
    this exact mistake. Before untracking its object, pygobject_dealloc
    calls PyObject_ClearWeakRefs() which can call back into python, create
    new allocations, and trigger the GC.

    This is causing Sugar (based on pygobject2 + pygtk2 static bindings)
    to
    crash on a regular basis while interacting with widgets or launching
    applications.

    Fix this by untracking the object early. Also fix the same issue
    spotted
    in the GSource wrapper.

    Thanks to Bernie Innocenti for initial diagnosis.

 glib/pygsource.c    | 6 ++++--
 gobject/pygobject.c | 8 +++++++-
 2 files changed, 11 insertions(+), 3 deletions(-)

commit ad96a3f1d187a640ec0a463b766fd5e027f3c16a
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Mon May 2 15:49:52 2011 +0200

    Fix symbol names to be locale independent

    We currently use upper() to present enum values, which are usually
    defined in
    lower case in the typelib, in upper cases. However, upper() is locale
    dependent, so that e. g. in tr_TR.UTF-8, "invalid" becomes "iNVALiD"
    because Turkish has some extra variants of "i".

    Use a local ASCII-only translate() call instead to avoid this. Thanks
    to Nils
    Philippsen for the idea!

    This also adds a test locale "te_ST@nouppera" which defines
    toupper('a') == 'a'.
    Run the Enum tests under this locale to reproduce the bug and verify
    the fix.

    https://bugzilla.gnome.org/show_bug.cgi?id=649165

 gi/module.py         |  9 ++++++++-
 tests/te_ST@nouppera | 50
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/test_gi.py     | 30 ++++++++++++++++++++++++++++++
 3 files changed, 88 insertions(+), 1 deletion(-)

commit 90530b52f6eaa30bb704e413c01bb94ee511a0bb
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Mon Apr 18 18:36:25 2011 +0200

    Updated DOAP file

 pygobject.doap | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 996e5676a00e8d8fc55ef7400d15ccf5a4d904eb
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Mon Apr 18 18:16:42 2011 +0200

    Post release version bump to 2.28.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afbcc71b71343b5a16dc8873c2ac7b9ca7dd801a
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Mon Apr 18 18:06:56 2011 +0200

    Release 2.28.4

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 4643bcad5845f5ec3dd9961616e3ed3b0946001f
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Sat Apr 16 16:02:05 2011 +0200

    [gi] Don't create variant twice

 gi/overrides/GLib.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e9e4ec7c28ac4564e15283636adc8b7bc1a83be
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Fri Apr 15 16:14:43 2011 +0200

    pygi-convert.sh: Make sure the uppercase GObject module is imported
    instead of the lowercase

    https://bugzilla.gnome.org/show_bug.cgi?id=647736

 pygi-convert.sh | 1 +
 1 file changed, 1 insertion(+)

commit dfe95b9ec598b57deaabd98ab488ab054a44ec09
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Fri Apr 15 15:58:53 2011 +0200

    [gi] Removed hack to avoid using GLib.Variant.new_variant.

    The bug in the annotations of GLib is fixed now.
    https://bugzilla.gnome.org/show_bug.cgi?id=639952
    https://bugzilla.gnome.org/show_bug.cgi?id=647796

 gi/overrides/GLib.py | 14 +-------------
 1 file changed, 1 insertion(+), 13 deletions(-)

commit cfccd55128377864e3a42a64785637bd453621b2
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Fri Apr 15 15:58:31 2011 +0200

    [gi] Added additional test case for GVariant handling

 tests/test_overrides.py | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 666ec192a4369e2fae508261a7a81b34326fc227
Author: Sebastian Pölsterl <sebp@k-d-w.org>
Date:   Mon Apr 11 18:34:31 2011 +0200

    [gi] Added support for GVariant arguments

    This is required in order for the "g-signal" signal of GDBusProxy
    to work properly and thus to properly receive DBus signals with any
    type of argument.

    https://bugzilla.gnome.org/show_bug.cgi?id=647477

 gi/pygi-argument.c | 2 ++
 1 file changed, 2 insertions(+)

commit cc0e8423f36486d15f751bd3c14351edda28538d
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Apr 4 21:12:18 2011 +0200

    Fix ABI break in old static bindings.

    Commit 84d6142c14a7ebfb7284d3db52e14d3393f93905 (Always register a new
    GType when a GObject class is subclassed) breaks the more advanced
    usage
    of PyGObject with regards to "metaclass hackery" as used in for
    example
    the kiwi and sqlkit projects. But the users of the gi-based bindings
    now rely on the new behaviour.

    We fix this by restraining the systematical registering of new
    types to
    the new gi-based bindings, leaving the old pygtk ones untouched.

    https://bugzilla.gnome.org/show_bug.cgi?id=646437

 gi/types.py         |  9 +++++++++
 gobject/__init__.py | 16 +++++++++-------
 2 files changed, 18 insertions(+), 7 deletions(-)

commit b0e499744d337adc608e2aa8996469bca2df044a
Author: Mike Gorse <mgorse@novell.com>
Date:   Sat Apr 2 18:45:40 2011 -0500

    fetch size from an enum type

    Do not assume that an enum is returned as a long; treat it as an
    int if
    the type indicates that its size is that of an int.

    http://bugzilla.gnome.org/show_bug.cgi?id=646581

 gi/pygi-argument.c | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

commit 4f59bee3a875eb71b8c9adce855b9addc965fe3b
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 22 20:47:51 2011 +0100

    dsextras.py: ensure eol characters are preserved when writing template
    files (so \n does not become \r\n)

 dsextras.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7a6f884e9ea5946691dd661b79e3094b6e1b34c
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Thu Mar 24 12:10:47 2011 -0400

    release 2.28.3

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 99689e2849a9df78980c9d25d9ddabc1e95f1252
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Thu Mar 24 12:08:10 2011 -0400

    Revert "dsextras.py: ensure eol characters are preserved when writing
    template files (so \n does not become \r\n)"

    This reverts commit 27496e0e86e7d8798caf019fd09af5c6a30ec633.

 dsextras.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27496e0e86e7d8798caf019fd09af5c6a30ec633
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 22 20:47:51 2011 +0100

    dsextras.py: ensure eol characters are preserved when writing template
    files (so \n does not become \r\n)

 dsextras.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7449d63e0c1bdfb5acbd8c5ec073711441301b9
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Tue Mar 22 11:35:44 2011 +0100

    dsextras.py: remove \r as wel as \n character

 dsextras.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 075ead0533ba311120b3ca9ac9ae75ca84ace8fb
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Wed Mar 23 10:39:19 2011 -0400

    fix a typo when converting objects to strings gvalues

 gobject/pygtype.c        | 4 ++--
 tests/test_properties.py | 8 ++++++++
 2 files changed, 10 insertions(+), 2 deletions(-)

commit a904f0dea4b7f04aac7c9ddd3b01ffbbd808375e
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Tue Mar 22 21:56:14 2011 -0400

    prep 2.28.2 release

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c1ee6642d4b69a8c417cf92534ba091f89c7f68c
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Tue Mar 22 18:46:28 2011 -0400

    fix static ABI for setting string gvalues from python objects

     * the static bindings used to be able to set a string gvalue to
     any python
       object that implemented __str__, for instance when setting a
       treemodel column
     * this restores that code while still keeping unicode and python 3
       compatability

 gobject/pygtype.c | 28 +++++++++++++++++++---------
 1 file changed, 19 insertions(+), 9 deletions(-)

commit cd38572b9781502d3228e74c017cb7cc39a07b3d
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Tue Mar 22 15:04:01 2011 +0100

    Fix GSchema tests for separate build tree

    When using a separate build tree, the compiled GSettings schema will
    be in the
    build tree, but as the test scripts are only in the source tree they
    won't find
    the compiled schema. Pass the build dir as environment variable and
    prefer it
    over test_overrides.py's directory.

 tests/Makefile.am       | 3 ++-
 tests/test_overrides.py | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit be81ea00d6cd92a5ae77c5bb301b6f6baeb6d89a
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Tue Mar 22 14:02:46 2011 +0100

    GIO tests: Fix remaining test case for separate build tree

 tests/test_gio.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 178df3e438835bec9b40dea243867784dee35815
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Tue Mar 22 13:21:27 2011 +0100

    GIO tests: Fix for separate build tree

    When using a separate build tree, "test_gio.py" is not in the
    current working
    dir (which is the build tree), but in the srcdir. Use __file__
    instead.

 tests/test_gio.py | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 27dcb9b1963be0c0d18e19a0b108a4a64d5e048b
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Mon Mar 21 12:42:36 2011 -0400

    prep for 2.28.1 release

 NEWS | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 072d45cbfa7b360a0e616c4c56ba75d4dc08e7df
Author: John Stowers <john.stowers@gmail.com>
Date:   Sun Mar 6 23:41:30 2011 +1300

    pygi-convert.sh remove gobject tests, GObject works now

    https://bugzilla.gnome.org/show_bug.cgi?id=644347

 pygi-convert.sh | 28 ----------------------------
 1 file changed, 28 deletions(-)

commit 205fee1622e461c0bcbe50e8befe30f01aac81eb
Author: John Stowers <john.stowers@gmail.com>
Date:   Sun Mar 6 23:41:01 2011 +1300

    pygi-convert.sh add GObject.xxx and webkit

    https://bugzilla.gnome.org/show_bug.cgi?id=644347

 pygi-convert.sh | 7 +++++++
 1 file changed, 7 insertions(+)

commit f5ee2924af489c17b64e56be5d2bd1c39d1293d1
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Wed Mar 16 17:34:18 2011 -0400

    [gi] marshal raw closures

    * before we were able to marshal python callables into methods
    that took
      GClosures but we had no way to take a GClosure returned from one
      method and pass it to another - this enables that usecase

    https://bugzilla.gnome.org/show_bug.cgi?id=644757

 gi/pygi-argument.c | 15 ++++++++++-----
 tests/test_gi.py   |  4 ++++
 2 files changed, 14 insertions(+), 5 deletions(-)

commit ac11dc70b34fe077be18f7e605c9f3cce03ad3fa
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Mon Mar 21 13:25:12 2011 +0100

    Revert "Deduce PYTHON_LIBS in addition to PYTHON_INCLUDES"

    This reverts commit fc7d7f7f153d57ff3866b7bfd5e6479d702cc4d9.

    This introduces additional libpython dependencies, which breaks
    distributions
    which support multiple Python versions, and also causes the python
    interpreter
    to be in memory twice in some cases.

    https://bugzilla.gnome.org/show_bug.cgi?id=620215

 gi/Makefile.am    | 4 +---
 gio/Makefile.am   | 2 +-
 glib/Makefile.am  | 2 +-
 m4/python.m4      | 7 ++-----
 tests/Makefile.am | 2 +-
 5 files changed, 6 insertions(+), 11 deletions(-)

commit aed7582de1c0623042601c8038a7631fa41d087d
Author: Dieter Verfaillie <dieterv@optionexplicit.be>
Date:   Fri Mar 18 17:06:08 2011 +0100

    setup.py: fix user_access_control option

 setup.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f0d33101a2451854f216291813951349d5ac471
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Wed Mar 16 15:20:43 2011 -0400

    [gi-overrides] fix marshalling pygobjects in treemodels

     * PyGObjects wern't being marshalled correctly as python objects
     when a
       treemodel column was set to take pyobjects
     * Fix this by explicetly marshalling all PyObjects as boxed gvalue
     types
       in the overrides

 gi/overrides/Gtk.py     |  9 +++++----
 tests/test_overrides.py | 34 ++++++++++++++++++++++++++--------
 2 files changed, 31 insertions(+), 12 deletions(-)

commit adb6f0320bed9a00a96c99424d4982199dc85af2
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Mar 16 10:22:35 2011 +0100

    [gi] Respect the MessageType for Gtk.MessageDialog

    Don't just ignore the type argument, actually pass it on. Thanks
    to Tualatrix
    Chou for spotting this!

 gi/overrides/Gtk.py | 1 +
 1 file changed, 1 insertion(+)

commit 115c4750f071270b648218c9678931a65a4b3e3d
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Tue Mar 15 10:22:39 2011 +0100

    [gi] Do not require signature for D-BUS methods without arguments

    Calling methods on DBusProxy objects usually requires specifying
    the signature
    as first argument. However, if the D-BUS method does not take any
    arguments,
    specifying the empty '()' signature does not give any additional
    information,
    so allow the caller to just call the proxy method without any
    arguments.

    Also ensure that passing a non-string signature raises a
    comprehensible
    exception, instead of crashing deep in the GVariant leaf constructor.

    https://bugzilla.gnome.org/show_bug.cgi?id=644260

 gi/overrides/Gio.py | 16 +++++++++++++++-
 tests/test_gdbus.py | 13 +++++++++++++
 2 files changed, 28 insertions(+), 1 deletion(-)

commit 0df9e153812e1e5077bb906449e211ecb0af8736
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Mar 11 14:09:02 2011 -0500

    [gi-demos] add pickers demo

 demos/gtk-demo/demos/pickers.py | 74
 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 74 insertions(+)

commit 419bfdd44b566ffb88f71165c00728872987dc5e
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Thu Mar 10 18:12:50 2011 -0500

    [gi-demos] add menu demo

 demos/gtk-demo/demos/menus.py | 122
 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 122 insertions(+)

commit 0877670e184a591866cbf3ab14284fcb217b540b
Author: John Stowers <john.stowers@gmail.com>
Date:   Sun Mar 6 23:05:33 2011 +1300

    [gi-overrides] TreeViewColumn.set_cell_data_func func_data can be None

    https://bugzilla.gnome.org/show_bug.cgi?id=644343

 gi/overrides/Gtk.py | 2 ++
 1 file changed, 2 insertions(+)

commit 1f69c520d95fec30094fac47cb0efa31c79da81c
Author: John Stowers <john.stowers@gmail.com>
Date:   Sun Mar 6 17:48:04 2011 +1300

    [gi-demos] dont try and run demos that represent directories

 demos/gtk-demo/gtk-demo.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f06ad511725b28d821532acae45a25d0a186fc9f
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Wed Mar 9 13:02:50 2011 -0500

    [gi-overrides] fix exception block so it works in Python 2.5

 gi/overrides/Gio.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit a784350b6e76c6c66fb2856dd597238f4ac992e9
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Tue Mar 8 13:25:57 2011 -0500

    post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa745352bb99862c360dc56e2fececc4b2968cbc
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Tue Mar 8 13:20:31 2011 -0500

    prep 2.28.0 release

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 27 insertions(+), 2 deletions(-)

commit d3bafc0a8bacf99e22b18c978012ab719e70954e
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Mon Mar 7 18:09:18 2011 -0500

    [gi-demos] some python 3 compat fixes

 demos/gtk-demo/demos/Icon View/iconviewbasics.py | 6 ++++++
 demos/gtk-demo/demos/Tree View/liststore.py      | 2 +-
 demos/gtk-demo/demos/rotatedtext.py              | 4 ++--
 demos/gtk-demo/gtk-demo.py                       | 4 ++--
 4 files changed, 11 insertions(+), 5 deletions(-)

commit eaafff23d397852b08384b4e15d68e3888e99b48
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Mon Mar 7 18:08:40 2011 -0500

    [gi-demos] catch the correct error class

 demos/gtk-demo/demos/images.py | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit b113540b452638601945f63297e68b7564c3d4df
Author: Steve Frécinaux <code@istique.net>
Date:   Mon Mar 7 01:58:36 2011 +0100

    Try not to sink objects returned by C functions.

    When creating a wrapper around an object to call a python function, we
    try to avoid calling pygobject_sink() when the object was not
    created by
    pygobject or the static bindings because otherwise we can end
    up leaking
    one reference for GInitiallyUnowned subclasses if the object was
    already
    owned by someone else.

    https://bugzilla.gnome.org/show_bug.cgi?id=644067

 gobject/pygobject-private.h | 1 +
 gobject/pygobject.c         | 7 +++++++
 gobject/pygtype.c           | 6 +++---
 3 files changed, 11 insertions(+), 3 deletions(-)

commit 7bece91e83e3c72a7bd04d2096dcf9b31aa9d366
Author: Steve Frécinaux <code@istique.net>
Date:   Sun Mar 6 21:18:36 2011 +0100

    Do not leak python references when using the gobject.property()
    helper.

    Since this helper was storing plain references in a long-lived
    dict, the
    refcount for the instances would never drop to zero, and so they would
    never get finalized.

    https://bugzilla.gnome.org/show_bug.cgi?id=644039

 gobject/propertyhelper.py |  5 ++---
 tests/test_properties.py  | 23 +++++++++++++++++++++++
 2 files changed, 25 insertions(+), 3 deletions(-)

commit 030695cb4306d915044aea4fae7c7122ccde31b4
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Mon Mar 7 11:13:12 2011 -0500

    [gi] fix try except blocks so they work in Python 2.5

    * use etype, e = sys.exc_info[:2] to extract error details instead of
      except Exception as e or except Exception, e

 tests/test_gdbus.py | 27 ++++++++++++++++++++-------
 1 file changed, 20 insertions(+), 7 deletions(-)

commit 7e6d833c7f74031b010b45b635214cde5d85f7ae
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Mar 4 12:25:49 2011 -0500

    handle uchar as bytes, not strings in python 3

    * This worked in Python2 because bytes and strings are equivilant
    and the macro
      PYGLIB_PyString_FromStringAndSize evaluated to a PyString
    * In Python 3 PYGLIB_PyString_FromStringAndSize evaluates to
    a PyUnicode
    * PYGLIB_PyBytes_FromStringAndSize evaluates to a PyString in Python 2
      and a PyBytes object in Python 3

 gobject/pygtype.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aae4ce5d9e9b7747bf5847071a72a6cdd1371a3e
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Mar 4 12:24:35 2011 -0500

    [gi-overrides] handle unichar gvalues when setting treemodels

 gi/overrides/Gtk.py | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 0d65223992abec46eee7b2b3c76f68da67de4905
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Mar 4 11:43:51 2011 -0500

    [gi-overrides] special case python 2 keywords that crept in

 gi/overrides/Gtk.py     | 6 +++++-
 tests/test_overrides.py | 8 ++++----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 094b355a785fbe7ebc776cbbd059e6a3d9241ce2
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Fri Mar 4 11:10:16 2011 -0500

    check for the py3 _thread module in configure.ac if thread is
    not found
